# Comparable projects

Other open source projects similar to Stackspin exist. Each of the platforms
listed here, like Stackspin, provide a suite of open source cloud
applications. Each of the platforms, like Stackspin, include their own user
management dashboard and all of them offer single sign-on (SSO) features.

However there are changes in implementation that make Stackspin different
from these alternatives. As far as we found, none of the projects listed
below will automatically update your applications without you having to push a
button, for example.

**[Sandstorm](https://sandstorm.io)** allows applications to be installed as so
called Grains. Each grain is a copy of the complete application made for a
specific purpose. For example, a grain for document editor "Etherpad" contains
not only the data written in the notepad, but also the Etherpad and database
software. If you have two notepads, you also have two copies of the software.
With many users, this approach can run into limits.

**[YunoHost](https://yunohost.org)** is mostly based on Debian and its package
management and user management system. As a result, Yunohost is relatively lightweight.
However, another result of this is that it is likely that if one of
the applications on your Yunohost contain a security hole, the data of the other
applications is compromised as well. This is less likely in Stackspin because
it separates the environments of applications from each other to seal them off.

**[Cloudron](https://cloudron.io)** offers a similar application suite. In
contrast to Stackspin, Cloudron [requires a paid
account](https://cloudron.io/pricing.html) if you want to use more than two
applications or more than five users.

All mentioned platforms require applications running on it to be changed in some
way, for example to make use of the authentication system. Stackspin tries to
steer clear of changing the applications it includes. As long as they support
OpenID Connect, so you can sign in to it, we can usually run the application
as-is. In most cases, Stackspin will only need one intervention before an
update can be pushed to users: it needs to be tested. We want to make sure that
an application works together with the platform and other applications before we
let you use it. We work towards a fully automated test suite, so even this would
not require human intervention.
